raid0run(8)

NAME
raid0run - starts up old (superblock-less) RAID0/LINEAR arrays

SYNOPSIS
raid0run [--configfile] [--version] [--force]
         [--upgrade] [-acvfuv] </dev/md?>+

DESCRIPTION
raid0run sets up a set of block devices into a single RAID0 array. It looks in its configuration file for the md devices mentioned on the command line, and initializes those arrays. raid0run only works for RAID0 and LINEAR devices, it's ment as a compatibility/migration command for arrays created with old mdtools.

Note that initializing RAID devices with the wrong RAID configuration file might destroy all data on the consituent devices! RAID arrays with superblocks are much safer and are auto-started by the kernel..

OPTIONS

-c, --configfile filename
    Use filename as the configuration file (/etc/raidtab is used by default).

-a, --all
    Starts up all nonpersistent RAID0 and LINEAR arrays defined in raidtab. It skips all persistent or non-RAID0/LINEAR arrays. This switch is handy to be used in startup scripts for old installations.

-h, --help
    Displays a short usage message, then exits.

-V, --version
    Displays a short version message, then exits.

NOTES

The raidtools are derived from the md-tools and raidtools packages, which were originally written by Marc Zyngier, Miguel de Icaza, Gadi Oxman, Bradley Ward Allen, and Ingo Molnar.

BUGS
no known bugs.

SEE ALSO
raidtab(5)